#include <Adafruit_NeoPixel.h>

#define PIN 6
// Parametr 1 = počet pixelů (LED diod) na pásek
// Parametr 2 = číslo PINu Arduina
// Parametr 3 = pixel type flags, add together as needed:
// NEO_KHZ800  800 KHz kmitočet pro pásky s WS2812 LED diodami)
// NEO_GRB  Pixely jsou zasílány ve formátu GRB 
Adafruit_NeoPixel MagicLED = Adafruit_NeoPixel(60, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  MagicLED.begin();
  MagicLED.show(); // Inicializace všech pixelů (LED diod) do stavu "vypnuto"
}

void loop() {
  
  vymaluj(MagicLED.Color(255, 0, 0), 50); // Červená
  vymaluj(MagicLED.Color(0, 255, 0), 50); // Zelená
  vymaluj(MagicLED.Color(0, 0, 255), 50); // Modrá
  }

// Vyplní postupně pásek základními barvami
void vymaluj(uint32_t c, uint8_t wait) {
  for(uint16_t i=0; i<MagicLED.numPixels(); i++) {
      MagicLED.setPixelColor(i, c);
      MagicLED.show();
      delay(5);
  }

}

